/**
 * JOnAS: Java(TM) Open Application Server
 * Copyright (C) 2009-2012 Bull S.A.S.
 * Contact: jonas-team@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 */
package org.ow2.jonas.admin.jdbcconnections.business {
import mx.controls.Alert;

import org.ow2.kerneos.common.business.AbsDelegateResponder;

/**
 * Delegate class to call java side.
 */
public class MyDelegate extends AbsDelegateResponder  {

    private var service:Object = null;

    public function MyDelegate() {
        super();
        service = JdbcConnections.getInstance().getServices().getRemoteObject("jdbcConnectionsService");
        if (service == null) {
            Alert.show("Cannot get jdbcConnectionsService", "ERROR");
        }
    }

    public function getJDBCConnectionsInfo(datasourceMBeanName: String, duration : int) : void {
        var call : Object = service.getJDBCConnectionsInfo(datasourceMBeanName, duration);
        call.addResponder(this.responder);
    }
    public function getJDBCDatasourceInfo(datasourceMBeanName: String) : void {
        var call : Object = service.getJDBCDatasourceInfo(datasourceMBeanName);
        call.addResponder(this.responder);
    }
    public function getJDBCDatasources() : void {
        var call : Object = service.getAvailableJDBCDatasources();
        call.addResponder(this.responder);
    }
    public function getJNDIInterceptorsConfiguration() : void {
        var call : Object = service.getJNDIInterceptorsConfiguration();
        call.addResponder(this.responder);
    }
    public function killConnection(objectName:String, connectionId : int) : void {
        var call : Object = service.killJDBCConnection(objectName, connectionId);
        call.addResponder(this.responder);
    }
    public function updateForceClose(forceClose:Boolean) : void {
        var call : Object = service.updateForceClose(forceClose);
        call.addResponder(this.responder);
    }
    public function updateObservable(objectName: String, observable:Boolean) : void {
        var call : Object = service.updateObservable(objectName, observable);
        call.addResponder(this.responder);
    }
    public function updateRegexpValue(regexpValue : String) : void {
        var call : Object = service.updateRegExp(regexpValue);
        call.addResponder(this.responder);
    }
}
}
