/**
 * JOnAS: Java(TM) Open Application Server
 * Copyright (C) 2009-2012 Bull S.A.S.
 * Contact: jonas-team@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 */
package org.ow2.jonas.admin.jdbcconnections.control {

import com.adobe.cairngorm.control.CairngormEventDispatcher;
import com.adobe.cairngorm.control.FrontController;

import org.ow2.jonas.admin.jdbcconnections.command.*;
import org.ow2.jonas.admin.jdbcconnections.event.*;


/**
 * Bind a type of command to an action.
 * @author Florent Benoit
 */
public class Controller extends FrontController {

    /**
     * Create an instance of the controller. Commands are initialized here.
     */
    public function Controller(dispatcher:CairngormEventDispatcher) {
        super(dispatcher);
    }

    /**
     * Add all the commands to the pool of commands.
     */
    public function initialiseCommands() : void {
       	this.addCommand(GetJNDIInterceptorsConfigurationEvent.EVENT_GET_JNDI_INTERCEPTORS_CONFIGURATION, GetJNDIInterceptorsConfigurationCommand);
       	this.addCommand(SetRegexpValueJNDIInterceptorsEvent.EVENT_SET_REGEXP_VALUE_JNDIINTERCEPTORS_CONFIGURATION, SetRegexpJNDIInterceptorsConfigurationCommand);
       	this.addCommand(SetForceCloseJNDIInterceptorsEvent.EVENT_SET_FORCE_CLOSE_JNDIINTERCEPTORS_CONFIGURATION, SetForceCloseJNDIInterceptorsConfigurationCommand);
       	this.addCommand(GetJDBCDatasourcesEvent.EVENT_GET_JDBC_DATASOURCES, GetJDBCDatasourcesCommand);
       	this.addCommand(GetJDBCDatasourceInfoEvent.EVENT_GET_JDBC_DATASOURCE_INFO, GetJDBCDatasourceInfoCommand);
       	this.addCommand(GetJDBCConnectionsInfosEvent.EVENT_GET_JDBC_CONNECTIONS_INFO, GetJDBCConnectionsInfoCommand);
       	this.addCommand(KillAJDBCConnectionEvent.EVENT_KILL_A_JDBC_CONNECTION, KillAJDBCConnectionCommand);
       	this.addCommand(SetObservableDataSourceEvent.EVENT_SET_OBSERVABLE_ON_DATASOURCE, SetObservableDataSourceCommand);
       	
    }

    public function removeCommands():void {
        removeCommand(GetJNDIInterceptorsConfigurationEvent.EVENT_GET_JNDI_INTERCEPTORS_CONFIGURATION);
        removeCommand(SetRegexpValueJNDIInterceptorsEvent.EVENT_SET_REGEXP_VALUE_JNDIINTERCEPTORS_CONFIGURATION);
        removeCommand(SetForceCloseJNDIInterceptorsEvent.EVENT_SET_FORCE_CLOSE_JNDIINTERCEPTORS_CONFIGURATION);
        removeCommand(GetJDBCDatasourcesEvent.EVENT_GET_JDBC_DATASOURCES);
        removeCommand(GetJDBCDatasourceInfoEvent.EVENT_GET_JDBC_DATASOURCE_INFO);
        removeCommand(GetJDBCConnectionsInfosEvent.EVENT_GET_JDBC_CONNECTIONS_INFO);
        removeCommand(KillAJDBCConnectionEvent.EVENT_KILL_A_JDBC_CONNECTION);
        removeCommand(SetObservableDataSourceEvent.EVENT_SET_OBSERVABLE_ON_DATASOURCE);
    }
}
}
